Util (HSQLDB 1.8.0.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.jdbc
Class Util

    java.lang.Object
      org.hsqldb.jdbc.Util

public class Util
extends java.lang.Object

Provides driver constants and a gateway from internal HsqlExceptions to external SQLExceptions.

Since:
  1.7.2
Author:
  fredt@users

Constructor Summary
`Util()`

Method Summary
`static java.sql.SQLException` | `connectionClosedException()`
`static java.sql.SQLException` | `invalidArgument()`
`static java.sql.SQLException` | `invalidArgument(java.lang.String name)`
`static java.sql.SQLException` | `nullArgument()`
`static java.sql.SQLException` | `outOfRangeArgument()`
`static java.sql.SQLException` | `outOfRangeArgument(java.lang.String name)`
`static java.sql.SQLException` | `sqlException(org.hsqldb.HsqlException e)`
`static java.sql.SQLWarning` | `sqlWarning(org.hsqldb.HsqlException e)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### sqlException

    public static final java.sql.SQLException sqlException(org.hsqldb.HsqlException e)

### sqlWarning

    public static final java.sql.SQLWarning sqlWarning(org.hsqldb.HsqlException e)

### nullArgument

    public static java.sql.SQLException nullArgument()

### invalidArgument

    public static java.sql.SQLException invalidArgument()

### invalidArgument

    public static java.sql.SQLException invalidArgument(java.lang.String name)

### outOfRangeArgument

    public static java.sql.SQLException outOfRangeArgument()

### outOfRangeArgument

    public static java.sql.SQLException outOfRangeArgument(java.lang.String name)

### connectionClosedException

    public static java.sql.SQLException connectionClosedException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 - 2005 HSQL Development Group. All Rights Reserved.